Subject: bug#26299: 24.5; Use of `…' in Info

From: Drew Adams <[email-masked]>
Date: Thu, 30 Mar 2017 06:49:17 -0700 (PDT)

> > As one user, I find the adoption of `…' instead of `...' to be a
> > retrogression, not an improvement.  It is far less readable.  Just one
> > opinion.
> >
> > Compare, as one example among zillions:
> >  -- Macro: with-help-window buffer-name body…
> > with
> >  -- Macro: with-help-window buffer-name body...
> >
> > I cannot imagine what someone thought, when making this change.  Did it
> > come just because we _can_ now use that Unicode character?  That's not
> > a reason that we _should_ use it in such contexts.
> 
> This seems to be another feature of the new (i.e., 5+) texinfo (like the
> curly quotes).  I'm still using 4.13 so I see "..." here.  You can make
> Emacs display "…" as "..." with
> 
>     (aset (or standard-display-table
>               (setq standard-display-table (make-display-table)))
>           ?… (vconcat "..."))

Thanks for tracking down the cause.

It's not about fixing the regressive appearance just for me.
It's about Emacs users.

Maybe Emacs needs to work around the problem (if it can't be
fixed).  Maybe if Emacs uses `. . .' instead of `...' that
will stop Texinfo from messing with it.

(Why would Texinfo have a blanket treatment of ... as …?
That makes no sense at all.  What if the occurrence of ...
is part of code, and NEEDS to be 3 period chars?)